0x1179ffe0 needs olpc-xo-1_5 model quirk for hp

Bug #573284 reported by Andy Couldrake on 2010-05-01
30
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Daniel T Chen
Lucid
Undecided
Unassigned
Maverick
Low
Daniel T Chen

Bug Description

This will be fixed by pulling in the patches from 2.6.32.13 (see Bug #583414).

---

See Bug #549289
Installed Lucid (30 April release) onto Toshiba Satellite Pro T130-15F Laptop.
Codec: Conexant CX20582 (Pebble)
Sound comes from speakers when headphones are plugged in. No sound from headphones.
Work around is to put the following option in
alsa-base.conf:
options snd-hda-intel model="olpc-xo-1_5"

PCI SSID Details:
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

Andy Couldrake (acouldrake) wrote :
Andy Couldrake (acouldrake) wrote :

Do the microphone(s) work, too?

On May 1, 2010 5:15 PM, "Andy Couldrake" <email address hidden> wrote:

Public bug reported:

See Bug #549289
Installed Lucid (30 April release) onto Toshiba Satellite Pro T130-15F
Laptop.
Codec: Conexant CX20582 (Pebble)
Sound comes from speakers when headphones are plugged in. No sound from
headphones.
Work around is to put the following option in
alsa-base.conf:
options snd-hda-intel model="olpc-xo-1_5"

PCI SSID Details:
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio
Controller (rev 03)

** Affects: alsa-driver (Ubuntu)
    Importance: Undecided
        Status: New

--
Conexant CX20582 No Sound from Headphones
https://bugs.launchpad.net/bugs/573284
You received this bug notification because you are a member of Ubuntu
Audio Team, which is subscribed to alsa-driver in ubuntu.

Status in “alsa-driver” package in Ubuntu: New

Bug description:
See Bug #549289
Installed Lucid (30 April release) onto Toshiba Satellite Pro T130-15F
Laptop.
Codec: Conexant CX20582 (Pebble)
Sound comes from speakers when headphones are plugged in. No sound from
headphones.
Work around is to put the following option in
alsa-base.conf:
options snd-hda-intel model="olpc-xo-1_5"

PCI SSID Details:
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio
Controller (rev 03)

Microphone works ok with or without the above work around, thanks.

Daniel T Chen (crimsun) on 2010-05-04
Changed in alsa-driver (Ubuntu):
assignee: nobody → Daniel T Chen (crimsun)
importance: Undecided → Low
status: New → Triaged
summary: - Conexant CX20582 No Sound from Headphones
+ 0x1179ffe0 needs olpc-xo-1_5 model quirk for hp
Daniel T Chen (crimsun) on 2010-05-05
Changed in alsa-driver (Ubuntu):
status: Triaged → Fix Committed
NoOp (glgxg) wrote :

Note: options snd-hda-intel model="olpc-xo-1_5"
 can be
options snd-hda-intel model=olpc-xo-1_5
The added (")'s are not required.

Should this report marked as a duplicate of
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/549289
or
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/477154

Adding:
options snd-hda-intel model=olpc-xo-1_5
or
options snd-hda-intel model=dell-vostro
resolves the headphone/speaker issue on my HP G60-530US Notebook with 'linux-backports-modules-alsa-lucid-generic' installed in lucid. However the internal mic no longer works afterwards. See:
http://launchpadlibrarian.net/40204100/alsa-info.txt.1oT26Rl85v
for device info.

There is still an issue with karmic on the same notebook due to the Ubuntu version of
alsa-base for karmic is 1.0.20+dsfg-1ubuntu5 and does not include code for:

Conexant 5066
=============
  laptop Basic Laptop config (default)
  dell-laptop Dell laptops
  olpc-xo-1_5 OLPC XO 1.5

It only has info for:
Conexant 5045
Conexant 5047
Conexant 5051

Conexant 5066 is necessary for "CX20582 (Pebble)" and "CX20583 (Pebble
HSF)" - mine is a CX20583 ("snd-hda-codec-id:14f15067"). See:
http://package-import.ubuntu.com/diffs/alsa-driver
Note that this is for 1.0.21 and 1.0.22.1. 1.0.21 is missing from the
releases:
https://launchpad.net/ubuntu/+source/alsa-driver
They went from 1.0.20 (karmic) directly to 1.0.22 (lucid).

Added info:
<http://git.alsa-project.org/?p=alsa-kmirror.git;a=commitdiff;h=cd830ce580ed2bba22cbf488986dbc56001c7920>
<http://git.alsa-project.org/?p=alsa-kmirror.git;a=blob_plain;f=pci/hda/patch_conexant.c;hb=cd830ce580ed2bba22cbf488986dbc56001c7920>
[ALSA: hda - Make Dell Vostro 1015n mic and speaker switching work]
Einar Rünkaru [Mon, 23 Nov 2009 20:23:49 +0000 (22:23 +0200)]
Dell Vostro 1015n uses Conexant CX20583-10Z (0x14f1:5067). Patch is
based on "olpc-xo-1_5" branch. Dell uses digital mic.

Maybe https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/549289 could be a [MASTER] for Conexant CX2058x (Pebble) issues? And perhaps the 'Fix Committed' could also include karmic as well?

On Thu, May 6, 2010 at 7:22 PM, NoOp wrote:
> Should this report marked as a duplicate of
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/549289

No, that one's PCI SSID is different:
Subsystem: Lenovo Device [17aa:21b4]

(which is precisely why I retitled this bug report earlier).

> or
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/477154

No, that one's PCI SSID is also different:
00:1b.0 0403: 8086:293e (rev 03)
 Subsystem: 1028:0402

We use one bug report per PCI SSID (or codec SSID if the OEM is cracktastic).

> Adding:
> options snd-hda-intel model=olpc-xo-1_5
> or
> options snd-hda-intel model=dell-vostro
> resolves the headphone/speaker issue on my HP G60-530US Notebook with 'linux-backports-modules-alsa-lucid-generic' installed in lucid. However the internal mic no longer works afterwards. See:
> http://launchpadlibrarian.net/40204100/alsa-info.txt.1oT26Rl85v
> for device info.

That's a completely separate bug report, and it's left unduped precisely.

> There is still an issue with karmic on the same notebook due to the Ubuntu version of
> alsa-base for karmic is 1.0.20+dsfg-1ubuntu5 and does not include code for:

The version of the alsa-base package has nothing to do with the
version of the driver. See /proc/asound/version instead.

> http://package-import.ubuntu.com/diffs/alsa-driver
> Note that this is for 1.0.21 and 1.0.22.1. 1.0.21 is missing from the
> releases:
> https://launchpad.net/ubuntu/+source/alsa-driver
> They went from 1.0.20 (karmic) directly to 1.0.22 (lucid).

You're looking in the wrong place.

> Maybe https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/549289
> could be a [MASTER] for Conexant CX2058x (Pebble) issues? And perhaps
> the 'Fix Committed' could also include karmic as well?

No, it does not belong as a master tracking bug. The hardware is all
different. Karmic kernels receive different treatment, so unless
there's an SRU for it, they won't receive these updates. For Karmic,
use linux-alsa-driver-modules-$(uname -r) from ppa:ubuntu-audio-dev
instead.

NoOp (glgxg) wrote :
Download full text (3.2 KiB)

On 05/06/2010 04:57 PM, Daniel T Chen wrote:
> On Thu, May 6, 2010 at 7:22 PM, NoOp wrote:
>> Should this report marked as a duplicate of
>> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/549289
>
> No, that one's PCI SSID is different:
> Subsystem: Lenovo Device [17aa:21b4]
>
> (which is precisely why I retitled this bug report earlier).
>
>> or
>> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/477154
>
> No, that one's PCI SSID is also different:
> 00:1b.0 0403: 8086:293e (rev 03)
> Subsystem: 1028:0402
>
> We use one bug report per PCI SSID (or codec SSID if the OEM is
> cracktastic).

So should I file a separate report for Subsystem Id: 0x103c360b?

....
>
>> There is still an issue with karmic on the same notebook due to the Ubuntu version of
>> alsa-base for karmic is 1.0.20+dsfg-1ubuntu5 and does not include code for:
>
> The version of the alsa-base package has nothing to do with the
> version of the driver. See /proc/asound/version instead

On the laptop with karmic booted:
$ cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.22.1.
Compiled on Mar 25 2010 for kernel 2.6.31-21-generic (SMP).

but alsa-base is showing:
1.0.20
so is there an mismatch between the two?

And with lucid booted:
 cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.22.1.
Compiled on Apr 29 2010 for kernel 2.6.32-22-generic (SMP).

So why the huge difference between the two? Note: in karmic internal mic
works, sound from headphone & speakers at the same time. I also get
additional internal mic options (Mic B, Mic C, Mic E, and Mic F (Mic F
works).
  In lucid internal mic does not work, sound from headphones & speakers
are separated when the headphones are plugged in (sound in headphones,
no sound in speakers - works as expected). No added Mic x options as in
Karmic.

Both have the
options snd-hda-intel model=dell-vostro
or
options snd-hda-intel model=olpc-xo-1_5
in /etc/modeprobe.d/alsa-base.conf
(meaning that I can put either in lucid & speaker/headphones work as
expected. Neither make any difference in karmic).

>
>> http://package-import.ubuntu.com/diffs/alsa-driver
>> Note that this is for 1.0.21 and 1.0.22.1. 1.0.21 is missing from the
>> releases:
>> https://launchpad.net/ubuntu/+source/alsa-driver
>> They went from 1.0.20 (karmic) directly to 1.0.22 (lucid).
>
> You're looking in the wrong place.

And where should I look? Is alsa-base not the correct module affecting
this?

>> Maybe https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/549289
>> could be a [MASTER] for Conexant CX2058x (Pebble) issues? And perhaps
>> the 'Fix Committed' could also include karmic as well?
>
> No, it does not belong as a master tracking bug. The hardware is all
> different. Karmic kernels receive different treatment, so unless
> there's an SRU for it, they won't receive these updates. For Karmic,
> use linux-alsa-driver-modules-$(uname -r) from ppa:ubuntu-audio-dev
> instead.

No. It took me quite some time the othere day to back out the -dev mess
and restore my systems (karmic and lucid) back to standard after your
previous suggestions. I had to 'force versions' to back out the -...

Read more...

NoOp (glgxg) wrote :

...
>> The version of the alsa-base package has nothing to do with the
>> version of the driver. See /proc/asound/version instead
>
> On the laptop with karmic booted:
> $ cat /proc/asound/version
> Advanced Linux Sound Architecture Driver Version 1.0.22.1.
> Compiled on Mar 25 2010 for kernel 2.6.31-21-generic (SMP).
>
> but alsa-base is showing:
> 1.0.20
> so is there an mismatch between the two?

I just realized that the above is due to my using
linux-backports-modules-alsa-karmic-generic

A clean & fully updated karmic does not have this, and instead has:

$ cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.20.

My apologies; purging linux-backports-modules-alsa-karmic-generic gets
it back to the above 1.0.20. Of course doing so removes the added
additional internal mic options (Mic B, Mic C, Mic E, and Mic F) so the
internal microphone no longer works (and speaker & headphone still play
at the same time).

Daniel T Chen (crimsun) wrote :

On Thu, May 6, 2010 at 9:06 PM, NoOp wrote:
> So should I file a separate report for Subsystem Id: 0x103c360b?

Yes.

> So why the huge difference between the two? Note: in karmic internal mic

The only version string that matters for the driver is in
/proc/asound/version. The installed package version of alsa-base and
linux-sound-base have no bearing whatsoever: they're only scripts.

> And where should I look? Is alsa-base not the correct module affecting
> this?

See above.

> No. It took me quite some time the othere day to back out the -dev mess
> and restore my systems (karmic and lucid) back to standard after your
> previous suggestions. I had to 'force versions' to back out the -dev
> packages. No *user* should be advised to use ppa:ubuntu-audio-dev.

Eh? Which packages were involved?

NoOp (glgxg) wrote :

...
>> No. It took me quite some time the othere day to back out the -dev mess
>> and restore my systems (karmic and lucid) back to standard after your
>> previous suggestions. I had to 'force versions' to back out the -dev
>> packages. No *user* should be advised to use ppa:ubuntu-audio-dev.
>
> Eh? Which packages were involved?
>

libpulse-browse0 (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
pulseaudio (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
pulseaudio-esound-compat (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
pulseaudio-module-bluetooth
(1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
pulseaudio-module-gconf (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
pulseaudio-module-x11 (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
pulseaudio-utils (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
ubuntu-desktop (1.197)

Daniel T Chen (crimsun) wrote :

On Thu, May 6, 2010 at 10:50 PM, NoOp wrote:
> libpulse-browse0 (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
> pulseaudio (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
> pulseaudio-esound-compat (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
> pulseaudio-module-bluetooth
> (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
> pulseaudio-module-gconf (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
> pulseaudio-module-x11 (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
> pulseaudio-utils (1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14)
> ubuntu-desktop (1.197)

How would this cause a "mess"? ubuntu-desktop is a metapackage, and
its version as you pasted above is only relevant for lucid and
maverick currently.

In any case, this discussion is better moved elsewhere as it is
irrelevant to this bug report.

Andy Couldrake (acouldrake) wrote :

Daniel - many thanks for the rapid turn-around on this report.
Much appreciated.

madbiologist (me-again) wrote :

The fix for this bug has been included upstream in kernel 2.6.34-rc7, and also cc'd to the stable kernel branch (meaning 2.6.33 and possibly 2.6.32). From the changelog:

commit 4442dd4613fe3795b4c8a5f42fc96b7ffb90d01a
Author: Daniel T Chen
Date: Mon May 3 20:39:31 2010 -0400

    ALSA: hda: Use olpc-xo-1_5 quirk for Toshiba Satellite Pro T130-15F

    BugLink: https://launchpad.net/bugs/573284

    The OR verified that using the olpc-xo-1_5 model quirk allows the
    headphones to be audible when inserted into the jack. Capture was
    also verified to work correctly.

    Reported-by: Andy Couldrake
    Tested-by: Andy Couldrake
    Cc: <email address hidden>
    Signed-off-by: Daniel T Chen
    Signed-off-by: Takashi Iwai

madbiologist (me-again) wrote :

Good news - the abovementioned fix is being reviewed upstream for kernel 2.6.32.13-stable.

NoOp (glgxg) wrote :
Stefan Bader (smb) on 2010-06-10
description: updated
description: updated
Martin Pitt (pitti) on 2010-06-11
affects: alsa-driver (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu Maverick):
milestone: none → maverick-alpha-2

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Andy Whitcroft (apw) on 2010-06-18
Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (25.2 KiB)

This bug was fixed in the package linux - 2.6.32-23.37

---------------
linux (2.6.32-23.37) lucid-proposed; urgency=low

  [ Alex Deucher ]

  * SAUCE: drm/radeon/kms/atom: fix dual-link DVI on DCE3.2/4.0
    - LP: #564559

  [ Andy Whitcroft ]

  * [Config] ports -- build in dm-mod to enable LVM boot
    - LP: #560717
  * tools -- fix perf version extraction for multi-part flavours
    - LP: #555130
  * SAUCE: ACPI: EC: Allow multibyte access to EC (v3)
    - LP: #526354
  * [Config] enforce -- ensure dm_mod is built-in for LVM
    - LP: #560717
  * update to ubuntu-debian:7e708d33054c373faf41da23b73e8b48c342d958
    - LP: #570500, #576274

  [ Chase Douglas ]

  * Revert "(pre-stable): input: ALPS - Add signature for HP Pavilion dm3
    laptops"
    - LP: #550625
  * Enable ftrace function profiler
    - LP: #570389
  * enforce CONFIG_TMPFS_POSIX_ACL=y
    - LP: #575940

  [ Leann Ogasawara ]

  * Revert "staging/comdi -- disable"
    - LP: #563436
  * [Config] Enable multicast routing for sparc
    - LP: #416266
  * [Config] Add ahci.ko to virtual sub-flavour
    - LP: #570542

  [ Stefan Bader ]

  * Revert "SAUCE: drm/i915: Disable FBC on 915GM and 945GM"
    - LP: #588832

  [ Tim Gardner ]

  * ubuntu: rtl8192se -- update to version 0015.0127.2010
    - LP: #567016
  * [Config] Add atl1c to nic-modules udeb
    - LP: #557130

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) iwlwifi: fix nfreed--"
    - LP: #575853
  * Revert "backlight: mbp_nvidia_bl - add five more MacBook variants"
    - LP: #575853
  * Revert "(pre-stable) pata_via: Add VIA VX900 support"
    - LP: #575853
  * Revert "(pre-stable) x86-32, resume: do a global tlb flush in S4
    resume"
    - LP: #575853
  * Revert "x86: disable IOMMUs on kernel crash"
    - LP: #575853
  * Revert "sunrpc: fix peername failed on closed listener"
    - LP: #575853
  * Revert "sunrpc: move the close processing after do recvfrom method"
    - LP: #575853
  * Revert "(pre-stable) drm/edid: allow certain bogus edids to hit a fixup
    path rather than fail"
    - LP: #575853
  * Revert "drm/radeon/kms: don't print error on -ERESTARTSYS."
    - LP: #575853
  * Revert "ath9k: fix lockdep warning when unloading module" on stable
    kernels
    - LP: #588832
  * Staging: comedi: removed "depricated" from COMEDI_CB_BLOCK
    - LP: #483343
  * fat: fix buffer overflow in vfat_create_shortname()
    - LP: #575853
  * xfs: simplify inode teardown
    - LP: #575853
  * xfs: fix mmap_sem/iolock inversion in xfs_free_eofblocks
    - LP: #575853
  * xfs: I/O completion handlers must use NOFS allocations
    - LP: #575853
  * xfs: Wrapped journal record corruption on read at recovery
    - LP: #575853
  * xfs: Fix error return for fallocate() on XFS
    - LP: #575853
  * xfs: check for not fully initialized inodes in xfs_ireclaim
    - LP: #575853
  * xfs: fix timestamp handling in xfs_setattr
    - LP: #575853
  * xfs: Don't flush stale inodes
    - LP: #575853
  * xfs: Ensure we force all busy extents in range to disk
    - LP: #575853
  * xfs: reclaim inodes under a write lock
    - LP: #575853
  * xfs: Avoid inodes in reclaim when flushing from inode cache
    - LP: #575853
  * xfs: recla...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Greg (gregw199) wrote :

Thanks for the post!! After a few days of looking, adding options snd-hda-intel model="olpc-xo-1_5" finally fixed my Toshiba Satellite t115d's inability to recognize a headphone jack. I'm running Ubuntu 10.04 and have Conexant CX 20582.

madbiologist (me-again) wrote :

Thanks Greg. Is the problem still fixed if you remove the snd-hda-intel model="olpc-xo-1_5" option and update to the linux - 2.6.32-23.37 kernel?

sergio s (cusumbos) wrote :

Still the same problem on toshiba satellite t115d with ubuntu 10.10 and kernel -2.6.35-23 with or without the fix
snd-hda-intel model="olpc-xo-1_5"
headphones are ok,but the int or ext mic are not working
can-t see any mic options on alsa mixer

@sergio s Please file a separate bug report.

cperves (cybercells) wrote :

as adviced above I install alsa mixer generic linux-backports-modules-alsa-lucid-generic package and also gnome-alsamixer
then I changed to default microphone thanks to alsamixer to Microphone F
It work perfectly now. Thanks

sergio s (cusumbos) wrote :

Still the same problem on toshiba satellite t115d with ubuntu 11.04 and kernel 2.6.38-8- (fresh install)

headphones don't work but internal mic works if mic F selected on alsamixer

adding snd-hda-intel model="olpc-xo-1_5" makes headphones and external mic work, but no internal mic anymore

01:05.1 Audio device: ATI Technologies Inc RS780 Azalia controller
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)

info on alsamixer:
Card: HDA ATI SB
Chip: Conexant CX20582 (Pebble)

/proc/asound/version ──────────────────┐ │
│ │▒│Advanced Linux Sound Architecture Driver Version 1.0.24. │ │
│ │▒│Compiled on May 5 2011 for kernel 2.6.38-8-generic (SMP)

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-lucid' to 'verification-done-lucid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-lucid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers